int flush(int fd)

## Method Description

Force a write of all buffered data for this fd.

fd is a file descriptor corresponding to an already opened file. This must be a descriptor returned by the library functions, and not by the standard ones.

On error, -1 is returned and error() will return the corresponding error code.

## See also :

Writes to "opened" file descriptor. Does caching.
int write(int fd, void *buf, uint32 count)

Close the file associated with this file descriptor
int close(int fd)

Copyright © Nicolas Brodu, 1999 - 2000